## RENAME USERGROUP-Anweisung (rename_usergroup_statement)

Die RENAME USERGROUP-Anweisung (rename_usergroup_statement) ändert den Namen einer Benutzergruppe.

### Syntax

<rename_usergroup_statement> ::= RENAME USERGROUP <usergroup_name> TO <new_usergroup_name>

<new_usergroup_name> ::= <usergroup_name>

### Erläuterung

Die zu ändernde Benutzergruppe muss existieren. Der Name der Benutzergruppe muss eine Benutzergruppe identifizieren, für die der aktuelle Datenbankbenutzer das Eigentümerrecht besitzt.

Der neue Benutzergruppenname new_usergroup_name darf nicht mit dem Namen eines existierenden Datenbankbenutzers, einer existierenden Benutzergruppe oder einer existierenden Rolle übereinstimmen.

Kein Mitglied der zu ändernden Benutzergruppe darf zum Zeitpunkt, an dem die RENAME USERGROUP-Anweisung abgesetzt wird, beim Datenbanksystem angemeldet sein.

Alle von der zu ändernden Benutzergruppe abhängigen Objekte werden vom Datenbanksystem an den neuen Benutzergruppennamen angepasst.